Skip to main content
`Ctrl`+`K`

# DMPlexRestoreOrientedCone

Restore the points and orientations on the in-edges for this point in the DAG obtained with `DMPlexGetOrientedCone()`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexRestoreOrientedCone(DM dm, PetscInt p, const PetscInt *cone[], const PetscInt *ornt[])

Not Collective

## Input Parameters

- dm - The DMPlex

- p - The point, which must lie in the chart set with `DMPlexSetChart()`

- cone - An array of points which are on the in-edges for point p

- ornt - An array of orientations which are on the in-edges for point `p`. An orientation is an integer giving the prescription for cone traversal.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetOrientedCone()`, `DMPlexGetConeSize()`, `DMPlexGetCone()`, `DMPlexGetChart()`

## Level

beginner

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages